Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 02-04-2010 17:39:19

unit
Adhérent(e)
Lieu : Marcq-en-baroeul
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 11-03-2010

Résolu.Comment compiler Inkscape 0.47

Voila après avoir réussi la compilation de gimp d'après le tuto de mani, je voudrais en faire de même avec inkscape quelqu'un pourrat-il me donner la marche à suivre.
Merci d'avance.

Dernière modification par unit (02-04-2010 19:48:54)


Exige beaucoup de toi-même et attends peu des autres. Ainsi beaucoup d'ennuis te seront épargnés.
Confucius.

Hors ligne

#2 02-04-2010 19:48:17

unit
Adhérent(e)
Lieu : Marcq-en-baroeul
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 11-03-2010

Re : Résolu.Comment compiler Inkscape 0.47

Pour ce que cela intéresse j'ai trouvé ce tuto pour installer inkscaoe 0.47 sur Lenny : http://www.dom-web.net/?p=648, j'ai essayé ça fonctionne nickel.
big_smile

Exige beaucoup de toi-même et attends peu des autres. Ainsi beaucoup d'ennuis te seront épargnés.
Confucius.

Hors ligne

#3 02-04-2010 20:56:05

dh
Membre
Lieu : Rhône
Distrib. : SID
Noyau : 4.2.0-1-amd64
(G)UI : Gnome3
Inscription : 23-03-2010

Re : Résolu.Comment compiler Inkscape 0.47

Il faut quand même que tu comprennes, que compiler un programme sur Debian alors qu'il est disponible dans d'autre branche c'est rendre ton système instable !
Si tu as tant besoin des programmes de graphismes dernier cri, il faut que tu passes en Sid ! Compiler GIMP et Inkscape ne te permet pas d'utiliser les dernières versions des plugins qu'ils utilisent et qui en font leur force !!
Pour une raison étrange, si tu ne veux pas passer en Sid, tu devrais utiliser les backports.
Le gros problème avec tes compilations, surtout des projets aussi volumineux, c'est que tu as certainement modifiés des libs sur ton système sans en avertir APT, et lors d'une mise à jour de ta Lenny, il va tout simplement remplacer ces mêmes lib dont tu as besoin par des versions différentes qui feront planter GIMP ou Inkscape ...
Avec Debian si tu es obligé de compiler qq chose, utilise au moins checkinstall !
méthode :

# checkinstall -D make install


à la place de make install seul !


Libertaire, libéral, libre.

Hors ligne

#4 02-04-2010 21:31:19

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Résolu.Comment compiler Inkscape 0.47

@dh : Je ne suis pas forcément d'accord avec toi sur les dangers de la compilation et sur la nécessité de passer absolument en Sid, mais néanmoins je recommande également l'utilisation de checkinstall.

J'ai compilé pas mal de choses depuis la sortie de Lenny, et je n'ai jamais eu de problème d'instabilité ou de mise à jour. Après je n'irai sans doute pas y compiler Gnome 2.30...

Sinon pour la compilation d'Inkscape 0.47 il y a plus simple que le tuto que tu as donné unit :

# apt-get install build-essential


# apt-get build-dep inkscape


./configure


make


checkinstall


Comme d'hab il faudra chercher un peu si le ./configure renvoie une erreur, et installer le paquet manquant. Pour moi il manquait libgsl0-dev.


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#5 02-04-2010 21:36:20

unit
Adhérent(e)
Lieu : Marcq-en-baroeul
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 11-03-2010

Re : Résolu.Comment compiler Inkscape 0.47

Pour répondre a dh j'avais installer inkscape sur Sid malheureusement il était instable.
par contre pour ta méthode mani je ne vois pas ou est la différence.:/
Si tu peu m'expliquer ça m'intéresse.
Merci.

Exige beaucoup de toi-même et attends peu des autres. Ainsi beaucoup d'ennuis te seront épargnés.
Confucius.

Hors ligne

#6 02-04-2010 21:51:21

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Résolu.Comment compiler Inkscape 0.47

Disons que dans ton cas, tu avais la liste des paquets nécessaires à la compilation. Et si tu ne l'avais pas eue ? smile

Je n'ai pas eu besoin de regarder le tuto pour installer Inkscape : apt-get build-dep inkscape m'a débroussaillé le terrain, puis j'ai installé le paquet qui manquait grâce au message d'erreur de ./configure. Tout ça m'a pris deux minutes. Ensuite ça a roulé tout seul (et beaucoup plus de deux minutes aussi).

Le checkinstall te permet de créer un paquet que tu pourras sauvegarder au chaud en cas de besoin futur, et de facilement supprimer ce que tu as compilé avec dpkg -r inkscape.

La différence est que tu es plus autonome avec apt-get build-dep, et que je trouve ça au final plus simple (mais ceci n'engage finalement que moi, je te l'accorde).

@Joël qui devrait avoir le wiki qui démange : je mettrai prochainement à jour la doc sur la compilation. wink

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#7 02-04-2010 22:14:08

unit
Adhérent(e)
Lieu : Marcq-en-baroeul
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 11-03-2010

Re : Résolu.Comment compiler Inkscape 0.47

Merci pour tes explications claires et précieuse.:D

Exige beaucoup de toi-même et attends peu des autres. Ainsi beaucoup d'ennuis te seront épargnés.
Confucius.

Hors ligne

#8 03-04-2010 00:00:32

tux12
Membre
Lieu : ./
Distrib. : Squeeze
Noyau : Linux 2.6.32-5-686-bigmem
(G)UI : KDE
Inscription : 27-02-2008

Re : Résolu.Comment compiler Inkscape 0.47

Oui, ça sent le tuto wink

big_smile Il va y avoir du chocolat à gagner. big_smile

Hors ligne

#9 03-04-2010 09:36:16

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : Résolu.Comment compiler Inkscape 0.47

tu peux aussi essayer avec  le source sous sid.

$ apt-get source inkscape
# apt-get build-dep inkscape
$ cd inkscape
$ fakeroot dpkg-buildpackage -b -uc

Hors ligne

Pied de page des forums